<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class MessageAttachment extends BaseModel
{
    use HasFactory;

    protected $table = 'message_attachment';

    public function message(){
        return $this->hasOne(Message::class, 'id', 'message_id');
    }

    public function systemFile(){
        return $this->hasOne(SystemFile::class, 'id', 'attachment_id');
    }
}
